<script>
export default {
  name: 'BhSwIndicator',
  data: () => ({
    show: false,
  }),
  mounted() {
    this.checkUpdate();
  },
  methods: {
    async checkUpdate() {
      const workbox = await window.$workbox;
      if (workbox) {
        workbox.addEventListener('installed', (event) => {
          if (event.isUpdate) {
            this.show = true;
            this.$emit('is-update');
          }
        });
      }
    },
  },
};
</script>

<template>
  <bh-sw-indicator-ui v-show="show" />
</template>
